@echo off

echo "    _____ _                       _ _           "
echo "   / ____(_)                     | | |          "
echo "  | (___  _ _ __   ___ ___   ___ | | | ____ _   "
echo "   \___ \| | '_ \ / __/ _ \ / _ \| | |/ / _` |  "
echo "   ____) | | | | | (_| (_) | (_) | |   | (_| |  "
echo "  |_____/|_|_| |_|\___\___/ \___/|_|_|\_\__,_|  "
echo "                                                "
echo """"""""""""""""""""""""""""""""""""""""""""""""""
echo.

netsh interface ipv6 6to4 set state disabled
if ERRORLEVEL 1 goto error_end

netsh interface teredo set state disabled
if ERRORLEVEL 1 goto error_end

netsh interface ipv6 set privacy state=disabled store=active
if ERRORLEVEL 1 goto error_end

netsh interface ipv6 set privacy state=disabled store=persistent
if ERRORLEVEL 1 goto error_end

netsh interface ipv6 set global randomizeidentifiers=disabled store=active
netsh interface ipv6 set global randomizeidentifiers=disabled store=persistent

echo Your computer is ready to use IPv6.  
echo.  
pause
exit 0

:error_end    
pause
exit 1